
From: Rusty Russell <rusty@rustcorp.com.au>

In message <20040106164438.6f5756ff.akpm@osdl.org> you write:
> A change to include/asm-alpha/smp.h went in during 2.6.1-rc1-mm1 which
> appears to have broken compilation on Alpha.  Specifically, the addition
> of:
> #define cpu_possible_map       cpu_present_map

Arg, it's "cpu_present_mask" not "cpu_present_map" on Alpha.




 25-akpm/include/asm-alpha/smp.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-alpha/smp.h~make-for_each_cpu-iterator-more-friendly-fix include/asm-alpha/smp.h
--- 25/include/asm-alpha/smp.h~make-for_each_cpu-iterator-more-friendly-fix	Tue Jan  6 17:55:13 2004
+++ 25-akpm/include/asm-alpha/smp.h	Tue Jan  6 17:55:13 2004
@@ -48,7 +48,7 @@ extern struct cpuinfo_alpha cpu_data[NR_
 extern cpumask_t cpu_present_mask;
 extern cpumask_t cpu_online_map;
 extern int smp_num_cpus;
-#define cpu_possible_map	cpu_present_map
+#define cpu_possible_map	cpu_present_mask
 
 #define cpu_online(cpu)		cpu_isset(cpu, cpu_online_map)
 

_
